#
# spec file for package libgsm (Version 1.0.10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libgsm
%define _name gsm
Version:        1.0.10
Release:        11.12
%define _version 1.0-pl10
%define __version 1.0.10-13
Group:          Productivity/Multimedia/Sound/Editors and Convertors
License:        BSD, Other License(s), see package
Summary:        GSM 06.10 Lossy Speech Compressor Library and Utilities
# Found at http://www.dmn.tzi.org/software/gsm/
Source:         %{_name}-%{version}.tar.gz
# This is a Debian patch file with debian chunks removed.
Patch:          %{name}_%{__version}.patch
Patch1:         libgsm-paths.patch
Patch2:         libgsm-include.patch
Patch3:         libgsm-strict-aliasing.patch
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Contains libraries and binaries for a GSM speech compressor. libgsm
contains a standard implementation of the European GSM 06.10
provisional standard for full-rate speech transcoding, prI-ETS 300 036,
which uses RPE/LTP (residual pulse excitation/long term prediction)
coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling rate,
i.e. a frame rate of 50 Hz) into 260 bits; for compatibility with
typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s). The quality
of the algorithm is good enough for reliable speaker recognition; even
music often survives transcoding in recognizable form (given the
bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.	Compression and decompression run faster than realtime
on most SPARCstations.	The implementation has been verified against
the ETSI standard test patterns.



%debug_package
%package devel
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Summary:        GSM 06.10 Lossy Speech Compressor Library and Utilities
Requires:       %{name} = %{version}

%description devel
Contains libraries and binaries for a GSM speech compressor. libgsm
contains a standard implementation of the European GSM 06.10
provisional standard for full-rate speech transcoding, prI-ETS 300 036,
which uses RPE/LTP (residual pulse excitation/long term prediction)
coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling rate,
i.e. a frame rate of 50 Hz) into 260 bits; for compatibility with
typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s). The quality
of the algorithm is good enough for reliable speaker recognition; even
music often survives transcoding in recognizable form (given the
bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.	Compression and decompression run faster than realtime
on most SPARCstations.	The implementation has been verified against
the ETSI standard test patterns.



%prep
%setup -n %{_name}-%{_version}
%patch -p1
%patch1
%patch2
%patch3
# ChangeLog.orig is not allowed by filelist check.
cp -a ChangeLog.orig ChangeLog_orig

%build
make CCFLAGS="-c $RPM_OPT_FLAGS -D_POSIX_SOURCE -D_BSD_SOURCE -DNeedFunctionPrototypes=1" lib/libgsm.a
cp lib/libgsm.a lib/libgsm.a.save
make clean
make CCFLAGS="-c $RPM_OPT_FLAGS -D_POSIX_SOURCE -D_BSD_SOURCE -DNeedFunctionPrototypes=1 -fPIC"
cp lib/libgsm.a.save lib/libgsm.a
touch lib/libgsm.a

%install
mkdir -p $RPM_BUILD_ROOT/usr/{include/gsm,%{_lib},bin,share/man/man{1,3}}
make INSTALL_ROOT=$RPM_BUILD_ROOT/usr GSM_INSTALL_LIB=$RPM_BUILD_ROOT/usr/%{_lib} install
cp -d lib/libgsm.so* $RPM_BUILD_ROOT/usr/%{_lib}
( cd $RPM_BUILD_ROOT/usr/%{_lib} ; ln -sf libgsm.so.1 libgsm.so )
cp inc/{private.h,proto.h,unproto.h} $RPM_BUILD_ROOT/usr/include/gsm/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if 0%{?suse_version}
%run_ldconfig
%else
/sbin/ldconfig
%endif

%postun
%if 0%{?suse_version}
%run_ldconfig
%else
/sbin/ldconfig
%endif

%files
%defattr (-, root, root)
%doc COPYRIGHT ChangeLog ChangeLog_orig MACHINES README
/usr/%{_lib}/*.so.*
/usr/bin/*
%doc /usr/share/man/man?/*.*

%files devel
%defattr (-, root, root)
/usr/%{_lib}/*.so
/usr/%{_lib}/*.*a
/usr/include/gsm

%changelog -n libgsm
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - sbrabec@suse.cz
- New SuSE package, version 1.0.10.
